SRD Standelone programmation box: tUartFlags Union Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tUartFlags Union Reference

Define the Uart structure flags. More...

`#include "uart_common.h"`

## Data Fields

struct {
unsigned char charReceived: 1
unsigned char stringReceived: 1
unsigned char moduleError: 1
unsigned char rxOverrun: 1
unsigned char txOverrun: 1
unsigned char RSVD: 3
} | bits
unsigned char | all

## Detailed Description

Define the Uart structure flags.

Definition at line 58 of file uart_common.h.

## Field Documentation

unsigned char tUartFlags::all

Access compete flag register

Definition at line 67 of file uart_common.h.

Referenced by Uart0Init(), Uart1Init(), and Uart2Init().

struct { ... } tUartFlags::bits

Access flags bit

Referenced by CR95UartResetReceiver(), UART0_IRQHandler(), Uart0ReadChar(), Uart0SendData(), Uart0SendString(), UART1_IRQHandler(), Uart1ReadChar(), Uart1SendData(), Uart1SendString(), UART2_IRQHandler(), Uart2ReadChar(), Uart2SendData(), and Uart2SendString().

unsigned char tUartFlags::charReceived

Indicate that one or more char are received

Definition at line 60 of file uart_common.h.

Referenced by CR95UartResetReceiver(), UART0_IRQHandler(), Uart0ReadChar(), UART1_IRQHandler(), Uart1ReadChar(), UART2_IRQHandler(), and Uart2ReadChar().

unsigned char tUartFlags::moduleError

Indicate the module have encoutered a internal error

Definition at line 62 of file uart_common.h.

Referenced by UART0_IRQHandler(), UART1_IRQHandler(), and UART2_IRQHandler().

unsigned char tUartFlags::RSVD

RESERVED

Definition at line 65 of file uart_common.h.

unsigned char tUartFlags::rxOverrun

Receiver overrun

Definition at line 63 of file uart_common.h.

Referenced by UART0_IRQHandler(), UART1_IRQHandler(), and UART2_IRQHandler().

unsigned char tUartFlags::stringReceived

Indicate that a complete string is received

Definition at line 61 of file uart_common.h.

Referenced by CR95UartResetReceiver(), UART0_IRQHandler(), Uart0ReadChar(), UART1_IRQHandler(), Uart1ReadChar(), UART2_IRQHandler(), and Uart2ReadChar().

unsigned char tUartFlags::txOverrun

Transmitter overrun

Definition at line 64 of file uart_common.h.

Referenced by Uart0SendData(), Uart0SendString(), Uart1SendData(), Uart1SendString(), Uart2SendData(), and Uart2SendString().

The documentation for this union was generated from the following file:

- uart_common.h